使用 Laravel 快速构建网站系列 —— Laravel 官网:Laravel.com

laravel

1、简介

本项目是Laravel官网源码。

Laravel是一个语法优雅、代码美观的web应用框架,我们相信开发应该是一个享受的、富有创造力的实现过程。Laravel通过将web项目中主要的通用任务(认证路由会话队列缓存等等)加以封装,从而将开发者从重复造轮子的痛苦中解放出来。

Laravel是易于使用的,同时也是功能强大的,提供了大型稳健应用所需的各种强大工具:一个牛逼的IoC容器(服务容器)、优雅的迁移系统、紧密集成的单元测试支持,都将助力你构建任何你想要开发的应用。

2、网站

http://laravel.com

3、GitHub

https://github.com/laravel/laravel.com

4、官方文档

英文原版:http://laravel.com/docs/5.1

中文版:http://laravelacademy.org/laravel-docs-5_1

学院君 has written 960 articles

Laravel学院院长,终身学习者

积分:109117 等级:P12 职业:手艺人 城市:杭州

5 条回复

  1. smallbaby smallbaby says:
    @ 三杯两盏石酒 yes,加了一个软链接就搞定了/etc/php5/cli/conf.d$ sudo ln -s ../../mods-available/mcrypt.ini 20-mcrypt.ini
  2. smallbaby smallbaby says:
    ~/githouse/laravel.com$ composer installYou are running composer with xdebug enabled. This has a major impact on runtime performance. See https://getcomposer.org/xdebugLoading composer repositories with package informationInstalling dependencies (including require-dev) from lock fileYour requirements could not be resolved to an installable set of packages. Problem 1 - Installation request for laravel/framework v5.0.32 -> satisfiable by laravel/framework[v5.0.32]. - laravel/framework v5.0.32 requires ext-mcrypt * -> the requested PHP extension mcrypt is missing from your system. Problem 2 - laravel/framework v5.0.32 requires ext-mcrypt * -> the requested PHP extension mcrypt is missing from your system. - vinkla/algolia 1.1.0 requires illuminate/contracts 5.0.*|5.1.* -> satisfiable by laravel/framework[v5.0.32]. - Installation request for vinkla/algolia 1.1.0 -> satisfiable by vinkla/algolia[1.1.0]. To enable extensions, verify that they are enabled in those .ini files: - /etc/php5/cli/php.ini - /etc/php5/cli/conf.d/05-opcache.ini - /etc/php5/cli/conf.d/10-pdo.ini - /etc/php5/cli/conf.d/20-curl.ini - /etc/php5/cli/conf.d/20-gd.ini - /etc/php5/cli/conf.d/20-imagick.ini - /etc/php5/cli/conf.d/20-intl.ini - /etc/php5/cli/conf.d/20-json.ini - /etc/php5/cli/conf.d/20-memcache.ini - /etc/php5/cli/conf.d/20-ming.ini - /etc/php5/cli/conf.d/20-mysql.ini - /etc/php5/cli/conf.d/20-mysqli.ini - /etc/php5/cli/conf.d/20-pdo_mysql.ini - /etc/php5/cli/conf.d/20-pdo_sqlite.ini - /etc/php5/cli/conf.d/20-pspell.ini - /etc/php5/cli/conf.d/20-readline.ini - /etc/php5/cli/conf.d/20-recode.ini - /etc/php5/cli/conf.d/20-sqlite3.ini - /etc/php5/cli/conf.d/20-tidy.ini - /etc/php5/cli/conf.d/20-xmlrpc.ini - /etc/php5/cli/conf.d/20-xsl.ini You can also run `php --ini` inside terminal to see which files are used by PHP in CLI mode.----------------------git clone 下来了,运行composer install报错,为什么.
  3. 网站收录 网站收录 says:
    助力你构建任何你想要开发的应用。[赞]

登录后才能进行评论,立即登录?